# List users

This endpoint allows you to retrieve a list of users for a given business.

Endpoint: GET /v1/businesses/{client_id}/users
Version: v1
Security: BearerAuth

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.

## Query parameters:

  - `offset` (integer)
    Offset to retrieve items from.

  - `limit` (integer)
    Number of items per page.

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of users that match the query.
    Example: 100

  - `next` (string)
    The URL to the next page of users.
    Example: offset=50&limit=50

  - `previous` (string)
    The URL to the previous page of users.
    Example: offset=0&limit=50

  - `results` (array)

  - `results.id` (integer)
    The ID of the user.
    Example: 123

  - `results.first_name` (string)
    The first name of the user.
    Example: John

  - `results.last_name` (string)
    The last name of the user.
    Example: Doe

  - `results.name` (string)
    The full name of the user or the display name if the user has set one.
    Example: John Doe

  - `results.email` (string)
    The email of the user.
    Example: john.doe@example.com

  - `results.role` (string)
    The role of the user.
    Example: Team Member

  - `results.role_id` (string)
    The ID of the user's role.
    Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

  - `results.is_deleted` (boolean)
    Whether the user is deleted.
    Example: false

  - `results.created` (string)
    The date and time when the user was created in UTC.
    Example: 2024-01-01T00:00:00Z

  - `results.updated` (string)
    The date and time when the user was last updated in UTC.
    Example: 2024-01-01T00:00:00Z

  - `results.payment_types` (array)
    The payment types the user can transact with.
    Example: ["cards"]

  - `results.out_of_office_mode` (boolean)
    Whether the user is out of office.
    Example: true

  - `results.out_of_office_start_date` (string | null)
    First day of the out-of-office period (inclusive).
    Example: 2026-06-01

  - `results.out_of_office_end_date` (string | null)
    Last day of the out-of-office period (inclusive).
    Example: 2026-06-15

  - `results.delegate_approver` (integer | null)
    The user ID to delegate approvals to while out of office.
    Example: 789

  - `results.expense_delegate` (array | null)
    The user IDs of this user's expense assistants (who can act on their expenses). Null if the business does not have the expense assistant feature.
    Example: [456,789]

